Create/ Update Business Profile Details

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Request Parameters

KeyDescriptionConstraints
Headers
apikeyApikey of the account where the app is to be createdShould be a valid gupshup.io apikey
Path Params
appIdValid app id
Form Params
addressLine1Address of the business
addressLine2Address of the business
cityCity where business is situated
stateState where business is situated
countryCountry where business is situated
pincodePincode where business is situated
descDescription of the business
verticalType/Category of business
ProfileEmailEmail of business
website1Website of business
website2Website of business

Response Parameters

KeyDescription
addressLine1Address of the business
addressLine2Address of the business
cityCity where business is situated
stateState where business is situated
countryCountry where business is situated
pincodePincode of the city where business is situated
descDescription of the business
verticalType/Category of business
profileEmailEmail of business
website1Website of business
website2Website of business

Status Codes

Status CodeResponseComments

Success

200

{
"profile": {
"addressLine1": "<business_address>",
"addressLine2": "<business_address>",
"city": "<city>",
"country": "<country>",
"desc": "<business_description>",
"pinCode": "<city_pincode>",
"profileEmail": "<business_email>",
"state": "<state>",
"vertical": "<business_type>",
"website1": "<business_website>",
"website2": "<business_website>"
},
"status": "success"
}

Error

400

{
"status": "error",
"message": "Invalid app id provided"
}

When invalid/empty appId is provided

400

{
"status": "error",
"message": "app is not live"
}

When app is not live

400

{
"status": "error",
"message": "Unable to Authenticate Docker"
}

When docker authentication fails

400

{
"status": "error",
"error": "<Facebook error response>"
}

When Facebook returns error while setting business profile details

400

{
"status": "error",
"message": "vertical can't be empty"
}

When vertical field is empty

400

{
"status": "error",
"message": "Invalid Website URL"
}

When invalid website is provided

401

{
"status": "error",
"message": "Authentication Failed"
}

When API key is unauthorized

429

{
"status": "error",
"message": "Too Many Requests"
}

When the rate limit is exceeded

500

{
"status": "error",
"message": "unable to update profile details"
}

When server error occurs

Path Params
string
required

Unique identifier for an app

Form Data
string

First line of the address

string

Second line of the address

string

City where the profile is located

string

State where the profile is situated

string

Postal code of the profile location

string

Country where the profile is situated

string

Profile vertical

uri

Website URL 1 of the profile

uri

Website URL 2 of the profile

string

Description of the profile

string

Profile email

Headers
string
required

Your account API key

Response

Language
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json